reposync(1)

BEZEICHNUNG
reposync - gleicht Yum-Paketquellen mit einem lokalen Verzeichnis ab

ÜBERSICHT
reposync [Optionen]

BESCHREIBUNG
reposync wird verwendet, um eine entfernte Yum-Paketquelle mit einem lokalen Verzeichnis abzugleichen. Für die Übertragung der Pakete wird Yum verwendet.

OPTIONEN

-h, --help
    zeigt eine Hilfemeldung an und beendet das Programm.

-c KONFIGURATION, --config=KONFIGURATION
    gibt die zu verwendende Konfigurationsdatei an, Vorgabe ist /etc/yum.conf.

-a ARCH, --arch=ARCH
    arbeitet wie in der angegebenen Architektur. Vorgabe ist die aktuelle Rechnerarchitektur. Achtung: Dies setzt $releasever nicht außer Kraft.

--source
    berücksichtigt beim Herunterladen auch .src.rpm-Dateien.

-r PAKETQUELLEN-ID, --repoid=PAKETQUELLEN-ID
    legt die Kennungen der abzufragenden Paketquellen fest. Dies kann mehrmals angegeben werden, in der Voreinstellung sind alle aktiviert.

-t, --tempcache
    verwendet ein temporäres Verzeichnis zum Speichern und für den Zugriff auf den Yum-Zwischenspeicher.

-p ZIELVERZEICHNIS, --download_path=ZIELVERZEICHNIS
    bezeichnet den Pfad zum Speichern heruntergeladener Pakete, Vorgabe ist das aktuelle Verzeichnis.

-g, --gpgcheck
    entfernt Pakete nach dem Herunterladen, bei denen die Überprüfung der GPG-Signatur scheitert.

-u, --urls
    listet die Adressen dessen auf, was heruntergeladen werden würde, lädt aber tatsächlich nichts herunter.

-n, --newest-only
    lädt nur die neuesten Pakete herunter (auf die Paketquelle bezogen).

-q, --quiet
    gibt so wenige Informationen wie möglich aus.

--allow-path-traversal
    erlaubt den Abgleich von Paketen, die außerhalb ihrer Paketquelle gespeichert sind. Dies sind Pakete, die in Metadaten durch die Verwendung absoluter Pfade oder nach oben gerichteter Symbole »..« referenziert sind und normalerweise aus Sicherheitsgründen von reposync übersprungen werden.

    Warnung: Die Verwendung dieser Option hat mögliche Sicherheitsauswirkungen, da ein Angreifer durch die Bereitstellung schädlicher Paketquellendaten reposync dazu bringen könnte, auf beliebige Orte im Dateisystem zu schreiben, auf die der Benutzer, unter dem es läuft, zugreifen kann.

BEISPIELE

Alle Pakete aus der »updates«-Paketquelle mit dem aktuellen Verzeichnis abgleichen:
     reposync --repoid=updates

Nur die neuesten Pakete aus der »updates«-Paketquelle mit dem aktuellen Verzeichnis abgleichen:
     reposync -n --repoid=updates

Pakete aus den Paketquellen »updates« und »extras« mit dem aktuellen Verzeichnis abgleichen:
     reposync --repoid=updates --repoid=extras

Alle Pakete aus der »updates«-Paketquelle mit dem Verzeichnis repos abgleichen:
     reposync -p repos --repoid=updates

DATEIEN
Da reposync die Yum-Bibliotheken zum Ermitteln aller Informationen nutzt, geht es von der Yum-Standardkonfiguration aus, sofern keine Konfigurationsdatei angegeben wird.

/etc/yum.conf
/etc/yum/repos.d/

SIEHE AUCH
yum.conf(5)
http://yum.baseurl.org/

AUTOREN
Lesen Sie die mit diesem Programm gelieferte Autorenliste.

FEHLER
Es gibt natürlich keine Fehler, sollten Sie dennoch einen entdecken, ziehen Sie zuerst den Abschnitt der häufig gestellten Fragen auf http://yum.baseurl.org/wiki/Faq zu Rate. Sollten Sie dort keine Lösung finden, kontaktieren Sie die (englischsprachige) Mailingliste auf yum-devel@lists.baseurl.org. Für Fehlermeldungen benutzen Sie http://bugzilla.redhat.com für Fehler in Fedora/RHEL/Centos und http://yum.baseurl.org/report für sonstige Fehler.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> und Helge Kreutzmann <debian@helgefjell.de> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.